Kontozahlungen

GET https://digily.link/api/payments/
curl --request GET \
--url 'https://digily.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Einzelheiten Beschreibung
processor Optional Zeichenkette Zulässige Werte: paypal , stripe , offline_payment , coinbase , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut
status Optional Zeichenkette Zulässige Werte: paid , pending , cancelled , refunded
type Optional Zeichenkette Zulässige Werte: one_time , recurring
frequency Optional Zeichenkette Zulässige Werte: monthly , quarterly , biannual , annual , lifetime
order_by Optional Zeichenkette Nach welchem Feld die Ergebnisse sortiert werden sollen. Erlaubte Werte sind: id , datetime , total_amount.
order_type Optional Zeichenkette Die Anordnung der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Anordnung und DESC für absteigende Anordnung.
page Optional Ganzzahl Die Seitennummer, von der Sie Ergebnisse wünschen. Standardmäßig 1.
results_per_page Optional Ganzzahl Wie viele Ergebnisse möchten Sie pro Seite? Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardmäßig 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-02-27 03:11:20",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/payments?page=1",
        "last": "https://digily.link/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/payments?page=1"
    }
}
GET https://digily.link/api/payments/{payment_id}
curl --request GET \
--url 'https://digily.link/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-02-27 03:11:20",
    }
}